slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPRIISetHermitian

Sets a flag to indicate if the Hermitian version of the scalar nonlinear equation must be used by the solver.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPRIISetHermitian(NEP nep,PetscBool herm)

Logically Collective

### Input Parameters

| nep | - nonlinear eigenvalue solver
| herm | - a boolean value

### Options Database Keys

| -nep_rii_hermitian <bool> | - set the boolean flag

### Notes

By default, the scalar nonlinear equation x'*inv(T(sigma))*T(z)*x=0 is solved at each step of the nonlinear iteration. When this flag is set the simpler form x'*T(z)*x=0 is used, which is supposed to be valid only for Hermitian problems.

### See Also

NEPRIIGetHermitian()

### Level

intermediate

### Location

src/nep/impls/rii/rii.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages